POST api/medistreamapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

cleanroom_id

globally unique identifier

Required

local_id

integer

Range: inclusive between 0 and ∞

name

string

Required

serial_number

string

Required

active

boolean

Required

door_status

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "207ae13a-f1ae-4c22-9f5f-a4dd43a26cbd",
  "cleanroom_id": "0ebd00aa-bceb-475f-aa32-d7c6951daa91",
  "local_id": 1,
  "name": "sample string 3",
  "serial_number": "sample string 4",
  "active": true,
  "door_status": true
}

application/xml, text/xml

Sample:
<medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>0ebd00aa-bceb-475f-aa32-d7c6951daa91</cleanroom_id>
  <door_status>true</door_status>
  <id>207ae13a-f1ae-4c22-9f5f-a4dd43a26cbd</id>
  <local_id>1</local_id>
  <name>sample string 3</name>
  <serial_number>sample string 4</serial_number>
</medistream>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"bb2f286b-8c7d-48d6-9320-22a2cdcdb3d7"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bb2f286b-8c7d-48d6-9320-22a2cdcdb3d7</guid>